Subject: Re: bug#70815: [PATCH] ; Enahnce python-tests.el to adapt different python interpreters

From: Lin Sun <[email-masked]>
Date: Sat, 11 May 2024 07:27:35 -0700

On Sat, May 11, 2024, 06:37 kobarity <[email-masked]> wrote:

>
> Eli Zaretskii wrote:
> >
> > > From: Lin Sun <[email-masked]>
> > > Date: Tue, 7 May 2024 06:53:05 +0000
> > >
> > > The python-tests.el will fail on finding interpreter "python" for
> > > there is no "python"  on CentOS8, Ubuntu 20.04,  only "python3" exists
> > > after installation.
> >
> > Thanks, I have some comments, and maybe kobarity will have as well.
>
> Hi Lin,
>
> Please correct the typo "Enahnce" in the title.
>
> I think the summary line of this commit should not begin with a
> semicolon.  CONTRIBUTE says:
>
>   If the summary line starts with a semicolon and a space "; ", the
>   commit message will be skipped and not added to the generated
>   ChangeLog file.  Use this for minor commits that do not need to be
>   mentioned in the ChangeLog file, such as changes in etc/NEWS, typo
>   fixes, etc.
>
> When revising the patch, please include the bug number.  CONTRIBUTE
> says:
>
> - The commit message should contain "Bug#NNNNN" if it is related to
>   bug number NNNNN in the debbugs database.  This string is often
>   parenthesized, as in "(Bug#19003)".
>
> python-tests-get-shell-interpreter should have an docstring.  This can
> be checked with checkdoc.  CONTRIBUTE says:
>
>   Use 'checkdoc' to check for documentation errors before submitting a
>   patch.
>
> I recommend to use Flymake or Flycheck.  There are many violations in
> python-tests.el, but I think it is better for new patches to follow
> this rule.
>
> when-let* used in python-tests-get-shell-interpreter could be replaced
> with when-let.
>

Hi Eli, kobarit,
I'm trying change the code to follow your comments, will update later,
thank you!